#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"
#include "histogram.h"


TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    CHECK(find_minmax({}, min, max) == false);
}

TEST_CASE("distinct identical numbers") {
    double min = 0;
    double max = 0;
    find_minmax({5, 5}, min, max);
    CHECK(min == 5);
    CHECK(max == 5);
}

TEST_CASE("distinct one number") {
    double min = 0;
    double max = 0;
    find_minmax({3}, min, max);
    CHECK(min == 3);
    CHECK(max == 3);
}

TEST_CASE("distinct negative numbers") {
    double min = 0;
    double max = 0;
    find_minmax({-3, -1}, min, max);
    CHECK(min == -3);
    CHECK(max == -1);
}


TEST_CASE("take color"){
    show_histogram_svg({1,2,3});
    CHECK(color_value>0)
}


TEST_CASE("take color"){
    show_histogram_svg({3,4,5,6});
    CHECK(color_value<10)
}

